#ifndef CHIEN_H_INCLUDED
#define CHIEN_H_INCLUDED
#define GFX_W 642
#define GFX_H 450
/**
*@brief Le personnage chien
*@details chien est définie par un ensemble d'animations (de droite et de gauche), d'une
*position dans la fenètre graphique et d'une direction de déplacement
*/
  struct chien {
        BITMAP * right[3];/*!< Tableau des animations à droite */
	BITMAP * left[3];/*!< Tableau des animations à gauche */
	int x, y; /*!< Position de l'entité chien*/
	int direction; } ;/*!< direction de l'entité chien0:right 1:left 2:up*/
 typedef struct chien chien ;


void load_chien(chien * chien);
void destroy_chien(chien *chien);
void init_chien(chien *chien);
void move_chien_right(chien *chien,int *CO);
void move_chien_left(chien *chien,int *CO);
void move_chien(chien *chien,int *CO);
void draw_chien(chien chien,BITMAP *Buffer, int CO);
void verifdirCH(chien *chien  ) ;

#endif // CHIEN_H_INCLUDED
